<?

header("Cache-Control: no-cache");
if ($ver=="wml")header ("Content-type:text/vnd.wap.wml; charset=utf-8");
else header("Content-Type:text/html; charset=UTF-8");

require("inc.php");
$link = connect_db();
list($row, $id, $ps, $fsize1, $fsize2) = check_login($link); 
require("version.php");

$us=$row["user"];
$fr = $row["friends"];

if ($ver=="wml"){
echo $xml;
echo $dtd;
echo "<wml>\n";
echo "<head><meta http-equiv=\"Cache-Control\" content=\"no-cache\" forua=\"true\"/></head>\n";
echo "<card id=\"frlist\" title=\"Друзья\">\n";
echo "<p>\n";
}else{
echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">";
echo "<html xmlns=\"http://www.w3.org/1999/xhtml\">";
echo "<head><link rel=\"stylesheet\" type=\"text/css\" href=\"css/css.css\"/>";
echo "<title>Друзья</title>";
echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"/></head><body>";
echo "<div align=\"left\">";
}
echo $fsize1;
$userm = mysql_query ("select count(klu4) as num from friends where id ='".$id."';");
echo "<b>Ваши друзья!</b><br/>";
echo $divide;
$usm = mysql_fetch_array($userm);
$num = $usm["num"]; 
if ($num == 0){
echo "У Вас нет друзей :(.<br/>";
}else{
if(!isset($s))$s=0;
$mx=round(($num/10)+0.45);
if($s>$mx)$s=$mx;
if($s==0)$s=1;
$ot=(($s-1)*10)+1;
$do=$s*10;
if($do>$num)$do=$num;
$o=$ot-1;
$n=$ot;
if($do==0)$n=$o;
echo "Показывает $n-$do из $num<br/>\n";
echo $divide;
$r = mysql_query ("select usid from friends where id ='".$id."' order by klu4 desc limit $o,$do");
for ($i=$ot;$i<=$do;$i++){
$arr = mysql_fetch_array($r);
$nk=$arr['usid'];
$a = @mysql_fetch_array(@mysql_query ("Select id,user,onl,room,visit,sex from users where id='".$nk."' LIMIT 1;"));
$usid = $a["id"];
$nick = $a["user"];
$onl = $a["onl"];
$room = $a["room"];
$visit = $a["visit"];
$sex = $a["sex"];
if ($room=="letters"){
if(($onl+300>time())&&($room!="")){
echo ($i).") <a href=\"info.php?$ses&amp;nk=$usid&amp;ref=$ref\">".$nick."</a> | \n";
echo "сейчас находится в <a href=\"chatmail.php?$ses&amp;ref=$ref\">записках</a><br/>\n";
} else {
$d=substr($visit,6,2);
if(substr($d,0,1)==0)$d=substr($d,1,2);
$m=substr($visit,4,2);
if(substr($m,0,1)==0)$m=substr($m,1,2);
$y=substr($visit,0,4);
$cp=substr($visit,8,2);
if(substr($cp,0,1)==0)$cp=substr($cp,1,2);
$mn=substr($visit,10,2);
if($sex=="М") $ob="был";
else $ob="была";
$month = array("","января","февраля","марта","апреля","мая","июня","июля","августа","сентября","октября","ноября","декабря");
echo ($i).") <a href=\"info.php?$ses&amp;nk=$usid&amp;ref=$ref\">".$nick."</a> | \n";
echo "Последний раз $ob $d $month[$m] $y в $cp:$mn в\n";
echo "<a href=\"chatmail.php?$ses&amp;ref=$ref\">записках</a><br/>\n";
}
} else if ($room=="holl"){
if(($onl+300>time())&&($room!="")){
echo ($i).") <a href=\"info.php?$ses&amp;nk=$usid&amp;ref=$ref\">".$nick."</a> | \n";
echo "В данный момент находится в <a href=\"enter.php?$ses&amp;ref=$ref\">прихожей</a><br/>\n";
} else {
$d=substr($visit,6,2);
if(substr($d,0,1)==0)$d=substr($d,1,2);
$m=substr($visit,4,2);
if(substr($m,0,1)==0)$m=substr($m,1,2);
$y=substr($visit,0,4);
$cp=substr($visit,8,2);
if(substr($cp,0,1)==0)$cp=substr($cp,1,2);
$mn=substr($visit,10,2);
if($sex=="М") $ob="был";
else $ob="была";
$month = array("","января","февраля","марта","апреля","мая","июня","июля","августа","сентября","октября","ноября","декабря");
echo ($i).") <a href=\"info.php?$ses&amp;nk=$usid&amp;ref=$ref\">".$nick."</a> | \n";
echo "Последний раз $ob $d $month[$m] $y в $cp:$mn в\n";
echo "<a href=\"enter.php?$ses&amp;ref=$ref\">прихожей</a><br/>\n";
}
}else{
$roomselect = @mysql_query ("Select name from rooms where rm='".$room."'");
$rooms = @mysql_fetch_array($roomselect);
$roomname=$rooms["name"];
if(($onl+300>time())&&($room!="")){
echo ($i).") <a href=\"info.php?$ses&amp;nk=$usid&amp;ref=$ref\">".$nick."</a> | \n";
if($room==9)echo "Сейчас в комнате <a href=\"anlim.php?$ses&amp;rm=$room&amp;ref=$ref\">$roomname</a><br/>\n";
else if($room==11)echo "Сейчас в комнате <a href=\"klaznet.php?$ses&amp;rm=$room&amp;ref=$ref\">$roomname</a><br/>\n";
else echo "Сейчас в комнате <a href=\"chat.php?$ses&amp;rm=$room&amp;ref=$ref\">$roomname</a><br/>\n";
}else{
$d=substr($visit,6,2);
if(substr($d,0,1)==0)$d=substr($d,1,2);
$m=substr($visit,4,2);
if(substr($m,0,1)==0)$m=substr($m,1,2);
$y=substr($visit,0,4);
$cp=substr($visit,8,2);
if(substr($cp,0,1)==0)$cp=substr($cp,1,2);
$mn=substr($visit,10,2);
if($sex=="М") $ob="был";
else $ob="была";
$month = array("","января","февраля","марта","апреля","мая","июня","июля","августа","сентября","октября","ноября","декабря");
echo ($i).") <a href=\"info.php?$ses&amp;nk=$usid&amp;ref=$ref\">".$nick."</a> | \n";
echo "Последний раз $ob $d $month[$m] $y в $cp:$mn в комнате \n";
if($room==9)echo "<a href=\"anlim.php?$ses&amp;rm=$room&amp;ref=$ref\">$roomname</a><br/>\n";
else if($room==11)echo "<a href=\"klaznet.php?$ses&amp;rm=$room&amp;ref=$ref\">$roomname</a><br/>\n";
else echo "<a href=\"chat.php?$ses&amp;rm=$room&amp;ref=$ref\">$roomname</a><br/>\n";
}
}
}
}                                     
$next=$s+1;
$prev=$s-1;
if ($num>$do) {
$ot=(($next-1)*10)+1;
$do=$next*10;
if($do>$num)$do=$num;
echo $divide;
echo "<a href=\"searchfr.php?$ses&amp;s=$next&amp;ref=$ref\">&gt;&gt;$ot-$do&gt;&gt;</a>\n";
}
if($s>1) {
$ot=(($prev-1)*10)+1;
$do=$prev*10;
echo "<a href=\"searchfr.php?$ses&amp;s=$prev&amp;ref=$ref\">&lt;&lt;$ot-$do&lt;&lt;</a><br/>\n";
}
echo $divide;
echo "<a href=\"friends.php?$ses&amp;mod=add&amp;nk=$nk&amp;ref=$ref\">Добавить друга</a><br/>\n";
echo $divide;
echo "<a href =\"cabinet.php?$ses&amp;ref=$ref\">Личный кабинет</a><br/>\n";
echo "<a href =\"enter.php?$ses&amp;ref=$ref\">Прихожая</a><br/>\n";
echo $fsize2;
if ($ver=="wml")echo "</p></card></wml>";
else echo "</div></body></html>";
mysql_close($link);
exit;
?>